body {
    font-family: "Poppins", sans-serif;
    margin: 0;
    background: #fafafa;
}

/* CATEGORY TABS */

.category-tabs { 
    display: flex; 
    justify-content: space-around; 
    padding: 0px 20px; 
    border-bottom: 1px solid #ddd; 
    background: #fff; 
    overflow: auto; 
}

.category-tabs button {
    padding: 10px 14px;         /* 🔥 reduce horizontal padding */
    background: none;
    border: none;

    font-size: 13px;
    letter-spacing: 0.5px;
    cursor: pointer;
    color: #777;

    min-width: 160px;
    max-width: 180px;
    height: 52px;               /* ✅ keeps all tabs equal height */

    text-align: center;
    line-height: 1.50;

    /* ✅ correct 2-line clamp */
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;

    white-space: normal;
    word-break: normal;
    overflow-wrap: break-word;

    border-bottom: 3px solid transparent;
}



.category-tabs button.active {
    color: #000;
    border-bottom-color: #a94d75;
}

/* GRID */
.product-grid {
    max-width: 1400px;
    margin: 40px auto;
    padding: 0 30px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(292px, 1fr));
    gap: 40px;
}

/* CARD */
.product-card {
    background: #fff;
    text-align: center;
    padding: 30px;
    box-shadow: 0 10px 30px rgba(0,0,0,.08);
    cursor: pointer;
    transition: transform .3s;
}

.product-card:hover {
    transform: translateY(-6px);
}

.product-card img {
    max-width: 100%;
    height: 180px;
    object-fit: contain;
}

.product-card h3 {
    margin: 20px 0 5px;
    font-size: 16px;
    white-space: nowrap;        /* force single line */
    overflow: hidden;           /* hide overflow */
    text-overflow: ellipsis;    /* show ... */
}

.product-card span {
    font-size: 13px;
    color: #888;
}

/* ===== PAGE BANNER ===== */
.page-banner {
    width: 100%;
    background: #f5f5f5;
    overflow: hidden;
}

.page-banner img {
    width: 100%;
    height: auto;
    object-fit: fit;
    display: block;

}

@media (max-width: 400px) {
    .product-grid {
        grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    }
}